package asm

type Mnemonic uint8

const (
	NONE Mnemonic = iota
	MOV
	SYSCALL
)

func (m Mnemonic) String() string {
	switch m {
	case MOV:
		return "mov"

	case SYSCALL:
		return "syscall"
	}

	return "NONE"
}
