package x64

import "io"

// appendUint32 appends a 32 bit integer in Little Endian to the given writer.
func appendUint32(w io.ByteWriter, number uint32) {
	w.WriteByte(byte(number))
	w.WriteByte(byte(number >> 8))
	w.WriteByte(byte(number >> 16))
	w.WriteByte(byte(number >> 24))
}
